photographerReportHandler(_:)
func photographerReportHandler(_ req: Request) async throws -> Paginated<ShutternautScheduleReportData>
GET /api/v3/events/photographerreport
Returns a paginated photography-coverage report for Shutternaut Managers (and TwitarrTeam and above). Each row is an event that was flagged as needing a photographer, that has at least one Shutternaut assigned to photograph it, or both. Unmarked events are omitted. Sorted by start time, ascending.
URL Query Parameters:
cruiseday=INT— Optional. Embarkation day is day 1 (Event indexing, not Fez/LFG indexing).start=INT/limit=INT— Pagination. Default 50; max isSettings.shared.maximumTwarrts.
Throws
403 if the caller is not a Shutternaut Manager and is below TwitarrTeam access.
Return Value
-
Declaration
Swift
struct QueryOptions : Content
View on GitHub